EMI 1 (Kebnekaise) - Update 20 (23.10.2012), v. 1.13.0-1

The Update contains:

  • a minor release of MPI v. 1.4.0-1

MPI v. 1.4.0-1, task #35322

What's New:

  • Support for MVAPICH2 with hydra or mpirun
  • Avoid using /tmp for creation of temporal files
  • Support for loading MPI implementation configuration with modules

Installation and Configuration:

  • MPI execution requires the installation of additional MPI software (see manual) and may require also extra configuration of your CE and WN (e.g. passwordless SSH between nodes), check your batch system and MPI implementation for details
  • No other extra special installation requirements, no need for restarting services.
  • Yaim plugin available for configuration in WN and CEs.
  • Proper accounting of MPI jobs requires a MPI implementation that provides tight integration with the batch system: OpenMPI in SGE and Torque/PBS (may require recompilation of packages) or MPICH/MPICH2 with OSC mpiexec in Torque/PBS. Newer versions of MPICH2 with Hydra also provide integration with Torque and SGE.
  • Nagios plugins for MPI require the existence of a working mpi compiler.

Known Issues:

List of RfCs:

Bug fixes:

Documentation:

Updated artifacts

Binaries
emi-mpi-1.0.2-1.el5.noarch.rpm
mpi-start-1.4.0-1.el5.noarch.rpm
glite-yaim-mpi-1.1.12-1.el5.noarch.rpm
Binary tarballs
emi-mpi-1.0.2-1.el5.noarch.tar.gz
mpi-start-1.4.0-1.el5.noarch.tar.gz
glite-yaim-mpi-1.1.12-1.el5.noarch.tar.gz
Source
emi-mpi-1.0.2-1.el5.src.rpm
mpi-start-1.4.0-1.el5.src.rpm
glite-yaim-mpi-1.1.12-1.el5.src.rpm
Source tarballs
mpi-start-1.4.0.src.tar.gz
glite-yaim-mpi-1.1.12.src.tar.gz

-- EmidioG - 19-Oct-2012


This topic: EMI > EMI1Update20
Topic revision: r3 - 2012-10-23 - DoinaCristinaAiftimiei
 
This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback